﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Schach
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        Schachfigur[] figuren = new Schachfigur[2];
        TextBlock[,] textblöcke = new TextBlock[8, 8];

        public MainWindow()
        {
            InitializeComponent();

            figuren[0] = new Turm(2, 3, false);
            figuren[1] = new Turm(4, 1, true);

            for (int i = 0; i < 8; i++)
            {
                for (int j = 0; j < 8; j++)
                {
                    TextBlock b = new TextBlock();
                    b.Width = 30;
                    b.Height = 30;
                    b.Text = "*";
                    b.FontSize = 25;
                    b.Background = ((i + j) % 2 != 0) ? Brushes.White : Brushes.LightGray;
                    spielfeld.Children.Add(b);
                    textblöcke[i, j] = b;
                    Canvas.SetLeft(b, 30 * i);
                    Canvas.SetBottom(b, 30 * j);
                    // b.MouseDown += ...
                }
            }
            Zeichne();
        }

        void Zeichne()
        {

            for (int i = 0; i < 8; i++)
            {
                for (int j = 0; j < 8; j++)
                {
                    textblöcke[i, j].Text = "";
                    for (int k = 0; k < figuren.Length; k++)
                    {
                        if (figuren[k].X == i && figuren[k].Y == j)
                        {
                            textblöcke[i, j].Text = figuren[k].Form.ToString();
                            break;
                        }
                    }
                }
            }
        }
    }
}
