﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Schach
{
    abstract class Schachfigur
    {
        protected int x; // Spalte 0...7
        public int X
        {
            get { return x; }
        }
        protected int y; // Zeile 0...7, unten Zeile 0
        public int Y
        {
            get { return y; }
        }
        protected bool istWeiß;
        protected char form;
        public char Form
        {
            get { return form;  }
        }

        // Annahme: xZiel und yZiel sind zwischen 0 und 7
        // Annahme: Zielpunkt != Startpunkt
        // Annahme: Niemand steht im Weg.
        // Rückgabe: Ist Zug erlaubt?
        public abstract bool BewegeNach(int xZiel, int yZiel);

        public Schachfigur(int x, int y, bool istWeiß, char form)
        {
            this.x = x;
            this.y = y;
            this.istWeiß = istWeiß;
            this.form = form;
        }
    }

    class Turm : Schachfigur
    {
        public Turm(int x, int y, bool istWeiß)
            : base(x, y, istWeiß, istWeiß ? '♖' : '♜')
        {
        }

        public override bool BewegeNach(int xZiel, int yZiel)
        {
            return xZiel == x || yZiel == y;
        }
    }
}
